-- English localization file for enUS and enGB.
local AceLocale = LibStub:GetLibrary("AceLocale-3.0")
local enUS = AceLocale:NewLocale("MNT2", "enUS", true)
if not enUS then return end

enUS['0%'] = true -- Mount Speeds
enUS['20%'] = true
enUS['40%'] = true
enUS['60%'] = true
enUS['50%'] = true
enUS['100%'] = true
enUS['280%'] = true
enUS['310%'] = true

-- Mount Type
enUS['Water'] = true
enUS['Ground'] = true
enUS['Flying'] = true
enUS["Ahn'Qiraj"] = true

-- Parser Matches
enUS["SpeedFast"] = "extremely%s+fast"
enUS["SpeedMedium"] = "very%s+fast"

--Options
enUS['Mount Database Reset'] = '|cFFFF9600MNT2|r: Mount Database Reset because of character deletion or race/faction change!'
enUS["Gurantee Different Mount"] = true
enUS['Mount Options'] = true
enUS['Edit'] = true
enUS['Edit desc'] = 'Open the Mount editor where you can adjust its speed and summon options.'
enUS['Summon Priority'] = true
enUS['isMoving'] = true
enUS['isMoving desc'] = 'Allows you to assign a different subset of Macros for when you are moving.\n|cffff2020<<<<<WARNING>>>>>|r\n This options is somewhat resource intensive but my be usefull to classes with instant cast mounts/shapeshifts.'
enUS['ENABLE desc'] = 'Toggles the usage of this macro set.'
enUS['ADD desc'] = 'Add the selected zone as a new macro set.'
enUS['ADD confirm'] = 'Are you sure you want to create a new macro set for |cff20ff20%s|r?\n |cffff2020(You will need to enable the set before it will take full effect)|r'
enUS['DELETE desc'] = 'Deletes the currently selected macro set'
enUS['DELETE confirm'] = 'Are you sure you want to delete the |cff20ff20%s|r macro set?'
enUS['Profile'] = true -- Data Base profile options

--Mount Set Options
enUS['Mount Set Options'] = true
enUS['Create Mount Set'] = true
enUS['Mount Set Name'] = true
enUS['Set Priority'] = true
enUS['Set Edit desc'] = 'Open the Mount Set editor.'
enUS['Mount Set Name may not be a number.'] = true
enUS['Mount Set Name may not be a empty string.'] = true

enUS['isFlyable'] = 'Flyable Macro'
enUS['ground'] = 'Ground Macro'
enUS['inCombat'] = 'Combat Macro'
enUS['isSwimming'] = 'Swimming Macro'
enUS['isIndoors'] = 'Indoors Macro'

enUS['Mount Skill'] = '|cFFFF9600MNT2|r: mount skill detected at skill level |cff20ff20%s|r.'
enUS['New Mounts'] = '|cFFFF9600MNT2|r: |cff20ff20%s|r new mounts found!'

-- Macro Editor
enUS['Macro Options'] = true
enUS['Preview'] = true
enUS['NameError'] = '"%s" is an invalid macro name.'
enUS["Macro length error"] = "Macro exceeds the 255 character limit!"
enUS["No Macro Text"] = "No macro commands given!"
enUS["FAQheader"] = "Macro Tags"
enUS["FAQdesc"] = [[Here are tags you may use to customize the above macros:
    <ff> == Random Flying Mount (fastest speed increase)
    <f310> == Random Flying Mount (310% speed increase)
    <f280> == Random Flying Mount (280% speed increase)
    <f60> == Random Flying Mount (60% speed increase)
    <gf> == Random Ground Mount (fastest speed increase)
    <g100> == Random Ground Mount (100% speed increase)
    <g60> == Random Ground Mount (60% speed increase)
    <g0> == Random Ground Mount (0% speed increase)
    <ww> == Random Water Mount (defaults to <gf> if no mount was found)
    <aq> == Random Ahn'Qiraj Mount
    <s#> == will be replaced with the spellname of spellid
                       (will not insert rank so will scale)]]
enUS['NEW desc'] = "Create new Macro."
enUS['DELETE desc'] = "Delete selected Macro."
enUS['EDIT'] = "Edit"
enUS['EDIT desc'] = "Edit selected Macro."
enUS['Select Macro:'] = true
enUS['|cffffd200Macro Preview:|r\n%s'] = true
enUS['|cffffd200Macro Text:|r\n%s'] = true
enUS['DELETE macro confirm'] = 'Are you sure you want to delete the |cff20ff20%s|r macro?'
enUS['macro error'] = '%s does not seem to be a valid macro'


-- Mount Editor
enUS['Mount Editor'] = true
enUS["Mount Speed"] = true
enUS['Add Speed'] = true
enUS['Add Speed desc'] = 'Adds the Currently selected speed and type'
enUS["Mount Type"] = true
enUS['SAVE desc'] = 'Saves the above mount types and speeds'
enUS['SAVE confirm'] = 'Are you sure you want to save the new mount settings?'
enUS['CLEAR_ALL desc'] = 'Clears the above mount types and speeds'
enUS['DELETE Mdesc'] = 'Deletes all references to this mount'
enUS['DELETE Mconfirm'] = 'Are you sure you want to delete all references to this mount? Unless it is a spell it will reappear with default settings next time your mounts get scanned! If you want to remove a mount from the macro lineup simply reduce its priority to ZERO!'
enUS['type/speed format'] = '%s: %s'
enUS[', '] = true -- separates type/speed combinations
enUS['AddSpell'] = 'Add Spell to Mounts'
enUS['AddSpell desc'] = 'Enter SpellID or Name to be used as mount'
enUS['Invalid Spell'] = "%s is not a valid spellID or Name"
enUS['Already Exists'] = "%s already exists in the database"
